## sdlhana-0.34.tar.bz2

=== tools/fntgen/Makefile ===
#
# Copyright (c) 2005-2006, Wei Mingzhi. All rights reserved.
#
# Use, redistributions and modifications of this file is
# unrestricted provided the above copyright notice is
# preserved.
#

OBJ = \
	../../src/compress.o fntgen.o

CC = gcc
CXX = g++

TARGET = fntgen

BASEFLAGS = -s -O3 -I../../src

CFLAGS = ${BASEFLAGS} `sdl-config --cflags`
LDFLAGS = ${BASEFLAGS} `sdl-config --libs` -lSDL_ttf

all: ${TARGET}

${TARGET}: ${OBJ}
	${CXX} ${LDFLAGS} -o ${TARGET} ${OBJ}

clean:
	rm -f *.o ${TARGET}

distclean:
	rm -f *.o ${TARGET}

%.o:    %.cpp
	${CXX} ${CFLAGS} -c $< -o $@

%.o:    %.c
	${CC} ${CFLAGS} -c $< -o $@

=== debian/changelog ===
sdlhana (0.34-1) unstable; urgency=low

  * Initial release.

 -- Wei Mingzhi <whistler@openoffice.org>  Sat,  7 Jul 2006 20:52:31 +0800

=== debian/control ===
Source: sdlhana
Section: games
Priority: optional
Maintainer: Wei Mingzhi <whistler@openoffice.org>
Build-Depends: debhelper (>= 4.0.0), autotools-dev, libsdl1.2-dev
Standards-Version: 3.6.1

Package: sdlhana
Architecture: any
Depends: ${shlibs:Depends}
Description: SDL-based Hanafuda game.
 An SDL-based Hanafuda game. Hanafuda is a Japanese card game which
 is also played in Korea, where it's known as "Hwa-T'u".

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --bindir=\$${prefix}/games --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/sdlhana

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
